Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.admin
Class SVNAdminEventAction

    java.lang.Object
      org.tmatesoft.svn.core.wc.admin.SVNAdminEventAction

public class SVNAdminEventAction
extends Object

The SVNAdminEventAction is an enumeration of possible actions that may take place in different methods of SVNAdminClient.

Since:
  1.1.1
Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary
`static SVNAdminEventAction` | `LOCK_LISTED`
`static SVNAdminEventAction` | `NOT_LOCKED`
`static SVNAdminEventAction` | `REVISION_DUMPED` A 'next revision dumped' action.
`static SVNAdminEventAction` | `REVISION_LOAD` An action that denotes a next revision load is started.
`static SVNAdminEventAction` | `REVISION_LOAD_ADD_PATH` An action that denotes adding a next path within the current revision being loaded.
`static SVNAdminEventAction` | `REVISION_LOAD_DELETE_PATH` An action that denotes deleting a next path within the current revision being loaded.
`static SVNAdminEventAction` | `REVISION_LOAD_EDIT_PATH` An action that denotes editing a next path within the current revision being loaded.
`static SVNAdminEventAction` | `REVISION_LOAD_REPLACE_PATH` An action that denotes replacing a next path within the current revision being loaded.
`static SVNAdminEventAction` | `REVISION_LOADED` An action that denotes a next revision load is completed.
`static SVNAdminEventAction` | `TRANSACTION_LISTED` A 'next transaction listed' action.
`static SVNAdminEventAction` | `TRANSACTION_REMOVED` A 'next transaction removed' action.
`static SVNAdminEventAction` | `UNLOCK_FAILED`
`static SVNAdminEventAction` | `UNLOCKED`

Method Summary
`int` | `getID()` Returns an action id
`String` | `toString()` Gives a string representation of this action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REVISION_LOAD

    public static final SVNAdminEventAction REVISION_LOAD

  An action that denotes a next revision load is started.

### REVISION_LOADED

    public static final SVNAdminEventAction REVISION_LOADED

  An action that denotes a next revision load is completed.

### REVISION_LOAD_EDIT_PATH

    public static final SVNAdminEventAction REVISION_LOAD_EDIT_PATH

  An action that denotes editing a next path within the current revision being loaded.

### REVISION_LOAD_DELETE_PATH

    public static final SVNAdminEventAction REVISION_LOAD_DELETE_PATH

  An action that denotes deleting a next path within the current revision being loaded.

### REVISION_LOAD_ADD_PATH

    public static final SVNAdminEventAction REVISION_LOAD_ADD_PATH

  An action that denotes adding a next path within the current revision being loaded.

### REVISION_LOAD_REPLACE_PATH

    public static final SVNAdminEventAction REVISION_LOAD_REPLACE_PATH

  An action that denotes replacing a next path within the current revision being loaded.

### REVISION_DUMPED

    public static final SVNAdminEventAction REVISION_DUMPED

  A 'next revision dumped' action.

### TRANSACTION_LISTED

    public static final SVNAdminEventAction TRANSACTION_LISTED

  A 'next transaction listed' action.

### TRANSACTION_REMOVED

    public static final SVNAdminEventAction TRANSACTION_REMOVED

  A 'next transaction removed' action.

### UNLOCK_FAILED

    public static final SVNAdminEventAction UNLOCK_FAILED

### UNLOCKED

    public static final SVNAdminEventAction UNLOCKED

### NOT_LOCKED

    public static final SVNAdminEventAction NOT_LOCKED

### LOCK_LISTED

    public static final SVNAdminEventAction LOCK_LISTED

Method Detail

### getID

    public int getID()

  Returns an action id

  Returns:
    id of this action

### toString

    public String toString()

  Gives a string representation of this action.

  Returns:
    string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.